Skip to main content
`Ctrl`+`K`

# TaoTermGetSolutionSizes

Get the sizes describing the layout of the solution vector space of a `TaoTerm`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetSolutionSizes(TaoTerm term, PetscInt *n, PetscInt *N, PetscInt *bs)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameters

- n - (optional) the size of a solution vector on the current MPI process

- N - (optional) the global size of a solution vector

- bs - (optional) the block size of a solution vector

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermSetSolutionSizes()`, `TaoTermSetSolutionTemplate()`, `TaoTermGetSolutionVecType()`, `TaoTermSetSolutionVecType()`, `TaoTermGetSolutionLayout()`, `TaoTermSetSolutionLayout()`, `TaoTermCreateSolutionVec()`

## Level

beginner

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages